## ros-indigo-romeo-description 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(romeo_description)

# We need to find catkin for the rest of the script to work
find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf
  message_filters
  sensor_msgs
)

# Nothing that can be imported by other modules
catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

# Instructions to install launch files
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch )
# Instructions to install config files
install(DIRECTORY config/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config )
# Instructions to install urdf files
install(DIRECTORY urdf/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)
# Instructions to install meshes files
install(DIRECTORY meshes/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes)

=== debian/changelog ===
ros-indigo-romeo-description (0.1.5-0trusty) trusty; urgency=high

  * update maintainers
  * reuse existing launchfile
  * fix deprecated xacro call
  * Fix maintainer's name
    follow up of a99e3f53fa7dcedf1a3786dfceefa513a7aba4b8 for consistency
  * updating romeo.urdf after regenerating it from updated xacro files
  * adding config for Gazebo: Gazebo xacro files and full list of controllers
  * updating URDF for eyes including inertia matrices and orientation
  * Contributors: Mikael Arguedas, Natalia Lyubova, nlyubova

 -- Surya Ambrose <surya.ambrose@gmail.com>  Fri, 20 Jan 2017 08:00:00 -0000

ros-indigo-romeo-description (0.1.4-0trusty) trusty; urgency=high

  * fixed packages.xml
  * Contributors: Mikael Arguedas

 -- Surya Ambrose <surya.ambrose@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-indigo-romeo-description (0.1.3-0trusty) trusty; urgency=high

  * fixing romeo_bringup launch and romeo_sensors_py to get data from all cameras
  * Contributors: nlyubova

 -- mikael arguedas <mikael.arguedas@gmail.com>  Sun, 20 Dec 2015 08:00:00 -0000

ros-indigo-romeo-description (0.1.2-0trusty) trusty; urgency=high



 -- mikael arguedas <mikael.arguedas@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-romeo-description (0.1.1-0trusty) trusty; urgency=high

  * update to the latest naoqi_tools script
  * Contributors: Vincent Rabaud

 -- mikael arguedas <mikael.arguedas@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-romeo-description (0.1.0-0trusty) trusty; urgency=high

  * update to the latest Romeo URDF
  * do not forget the cap
  * update to the latest urdf from doc_urdf in NAOqi
  * update with the latest generated URDF
  * Contributors: Vincent Rabaud

 -- mikael arguedas <mikael.arguedas@gmail.com>  Thu, 08 Oct 2015 07:00:00 -0000

ros-indigo-romeo-description (0.0.13-0trusty) trusty; urgency=high



 -- mikael arguedas <mikael.arguedas@gmail.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-romeo-description (0.0.12-0trusty) trusty; urgency=high

  * remove _actuator suffix from Hand joints
  * Contributors: Mikael ARGUEDAS

 -- mikael arguedas <mikael.arguedas@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-indigo-romeo-description (0.0.11-0trusty) trusty; urgency=high

  * added romeo_robot metapackage
  * added romeo cap with xtion to meshes and urdf
  * update name for Hand actuator
  * revert error during previous commit
  * update xacro files and meshes
  * Contributors: Mikael ARGUEDAS, margueda

 -- mikael arguedas <mikael.arguedas@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-indigo-romeo-description (0.0.10-0trusty) trusty; urgency=high

  * fix committer's name
  * Contributors: Vincent Rabaud

 -- mikael arguedas <mikael.arguedas@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-indigo-romeo-description (0.0.9-0trusty) trusty; urgency=high

  * fix dependencies
  * Contributors: margueda

 -- mikael arguedas <mikael.arguedas@gmail.com>  Thu, 25 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.8-0trusty) trusty; urgency=high



 -- mikael arguedas <mikael.arguedas@gmail.com>  Mon, 22 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.7-0trusty) trusty; urgency=high



 -- mikael arguedas <mikael.arguedas@gmail.com>  Mon, 22 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.6-0trusty) trusty; urgency=high



 -- mikael arguedas <mikael.arguedas@gmail.com>  Fri, 19 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.5-0trusty) trusty; urgency=high

  * updated readme
  * Contributors: margueda

 -- mikael arguedas <mikael.arguedas@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.4-0trusty) trusty; urgency=high

  * fix dependencies for romeo_description
  * Contributors: Ha Dang
  * fix dependencies for romeo_description
  * Contributors: Ha Dang

 -- mikael arguedas <mikael.arguedas@gmail.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.3-0trusty) trusty; urgency=high

  * fixed roscpp dependencies
  * Contributors: Ha Dang

 -- mikael arguedas <mikael.arguedas@gmail.com>  Wed, 10 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.2-0trusty) trusty; urgency=high

  * test ssh access
  * Contributors: margueda

 -- mikael arguedas <mikael.arguedas@gmail.com>  Wed, 10 Sep 2014 07:00:00 -0000

ros-indigo-romeo-description (0.0.1-0trusty) trusty; urgency=high

  * added hands to xacro files
  * fix pepper frames generation
  * updated generated urdf
  * Contributors: margueda

 -- mikael arguedas <mikael.arguedas@gmail.com>  Tue, 09 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-romeo-description
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-filters, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-urdf, ros-indigo-xacro
Homepage: http://wiki.ros.org/romeo_description
Standards-Version: 3.9.2

Package: ros-indigo-romeo-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-filters, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-urdf, ros-indigo-xacro
Description: The romeo_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-romeo-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
